Bug 535805 - (RHQ-2463) error from a failed resource configuration update is poorly rendered
error from a failed resource configuration update is poorly rendered
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Configuration (Show other bugs)
1.3
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Sunil Kondkar
http://jira.rhq-project.org/browse/RH...
: SubBug
: 564497 (view as bug list)
Depends On:
Blocks: RHQ-665 rhq_triage
  Show dependency treegraph
 
Reported: 2009-10-13 14:33 EDT by Ian Springer
Modified: 2013-09-03 12:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 12:59:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2009-10-13 14:33:00 EDT
When you click the Failure link on the Configuration>History page, a modal window titled "Stack Trace" pops up.  There are three issues with this modal:

1) The window title is inappropriate, since the erro message is not always a stack trace.
2) Spaces in the error message are URL-encoded (i.e. they appear as "%20"), making the text very difficult to read, e.g.:

The%20entries%20with%20the%20following%20canonical%20names%20have%20one%20or%20more%20invalid%20aliases%3A%20%5B%5D.

3) The error message wraps at a larger width than the width of the modal, so you must scroll horizontally to the right to read the full message.
Comment 1 Red Hat Bugzilla 2009-11-10 16:04:55 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2463
Comment 2 wes hayutin 2010-02-16 11:57:54 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 3 wes hayutin 2010-02-16 12:02:54 EST
making sure we're not missing any bugs in rhq_triage
Comment 4 Jeff Weiss 2010-04-28 10:40:30 EDT
*** Bug 564497 has been marked as a duplicate of this bug. ***
Comment 5 Corey Welton 2010-12-23 09:49:14 EST
sunil, please take a look at this in a gwt build.
Comment 6 Sunil Kondkar 2011-06-16 07:05:25 EDT
Verified on build#140 (Version: 4.1.0-SNAPSHOT Build Number: 5905b70)

The modal window is titled as 'Error' and user can read the error message. The spaces in the error message are not URL-encoded. User can minimize/maximize the modal window to view the message.

Marking as verified.
Comment 8 Heiko W. Rupp 2013-09-03 12:59:19 EDT
Bulk closing of old issues that are in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.